Skip to main content
POST
/
2025-09
/
units
/
remove_overlock
Remove Overlock from Units by Contact
curl --request POST \
  --url https://public-api.stora.co/2025-09/units/remove_overlock \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contact_id": "con_0ac0514ed0711462"
}
'
import requests

url = "https://public-api.stora.co/2025-09/units/remove_overlock"

payload = { "contact_id": "con_0ac0514ed0711462" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contact_id: 'con_0ac0514ed0711462'})
};

fetch('https://public-api.stora.co/2025-09/units/remove_overlock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": {
    "message": "Overlock was successfully removed from 2 customer units."
  },
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "unit_ids": [
      "unit_1e36123098e22cf8",
      "unit_2e36123098e22cf8"
    ],
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ]
  }
}
{
"error": {
"code": "resource_not_found",
"details": [],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The Contact was not found.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}
{
"error": {
"code": "invalid_content",
"details": [
{
"message": "Contact has no overlocked units that can have overlock removed.",
"pointer": "/contact_id"
}
],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The request body content is not valid.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Body

application/json

Remove Overlock Units Request

contact_id
string
required

The contact ID to remove overlock from overlocked units for

Response

units overlock removed successfully

Unit Remove Overlock Success Response

success
object
meta
object